Summary: A software wavetable MIDI synthesizer.
Name: timidity++
Version: 2.13.2
Release: 1
Group: Applications/Multimedia
Source: http://www.goice.co.jp/member/mo/timidity/dist/TiMidity++-%{version}.tar.bz2
Source1: http://archive.cs.umbc.edu/pub/midia/instruments.tar.bz2
Source2: timidity.cfg
Source3: http://www.stardate.bc.ca/eawpatches/eawpats/britepno.pat.bz2
Source4: http://www.stardate.bc.ca/eawpatches/eawpats/pistol.pat.bz2
URL: http://timidity.sourceforge.net
Patch: TiMidity++-2.13.0-redhat.patch
Patch3: TiMidity++-2.13.0-detect.patch
Patch5: TiMidity++-2.13.0-64bit.patch
Patch6: TiMidity++-2.13.0-warnings.patch
Patch7: TiMidity++-2.13.0-esd.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: timidity++-X11
BuildRequires: arts-devel esound-devel autoconf alsa-lib-devel ncurses-devel

%description
TiMidity++ is a MIDI format to wave table format converter and
player. Install timitidy++ if you'd like to play MIDI files and your
sound card does not natively support wave table format.

%prep
%setup -q -n TiMidity++-%{version}
# Put config files etc. to sane locations
%patch -p1 -b .redhat
# Autodetect whether we should use aRts, esd, or neither
%patch3 -p1 -b .detect
# fix for x86_64 and s390x
%patch5 -p1 -b .64bit
%patch6 -p1 -b .warnings
%patch7 -p1 -b .esd

%build
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="-s"
autoconf
%configure --enable-dynamic \
	--enable-interface=ncurses,slang,vt100,alsaseq,server,network \
	--enable-audio=oss,arts,alsa,esd,vorbis \
	--with-default-output=alsa
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timidity $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/timidity.cfg
ln -s /etc/timidity.cfg $RPM_BUILD_ROOT%{_datadir}/timidity/timidity.cfg
cd $RPM_BUILD_ROOT%{_datadir}/timidity
tar xvjf %{SOURCE1}
bzip2 -dck %{SOURCE3} >instruments/britepno.pat
bzip2 -dck %{SOURCE4} >instruments/pistol.pat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/timidity.cfg
%{_bindir}/*
%{_datadir}/timidity
%{_mandir}/*/*

%changelog
* Thu Aug 26 2004 Thomas Woerner <twoerner@redhat.com> 2.13.0-3
- fixed esd output plugin to not output to stderr on fault (#130633)

* Mon Jul  5 2004 Thomas Woerner <twoerner@redhat.com> 2.13.0-2
- fixed configure options (#127190)

* Thu Jul  1 2004 Thomas Woerner <twoerner@redhat.com> 2.13.0-1
- new version 2.13.0
  - with alsa support (#117024, #123327)
  - working default output (#124774)
  - working ogg output (#124776)
- spec file fixes
- fixed some configure options
- added BuildRequires for ncurses-devel (#125028)

* Sat Jun 19 2004 Alan Cox <alan@redhat.com>
- fixed compiler reported bugs 

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add %%clean specfile target

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 11 2003 Thomas Woerner <twoerner@redhat.com> 2.11.3-7
- fix for x86_64 and s390x

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Thomas Woerner <twoerner@redhat.com> 2.11.3-5
- fixed dependency for autoconf

* Mon Jul 22 2002 Than Ngo <than@redhat.com> 2.11.3-4
- build against current libvorbis

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.11.3-1
- Update to 2.11.3
- Extend the aRts output plugin to support KDE 3.x features
- Fix the dependency mess

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.10.4-2
- Finally managed to locate free versions of britepno.pat and pistol.pat
  (#50982)

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10.4

* Fri Feb 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Change timidity.cfg to work perfectly with both the real
  TiMidity++ and the timidity version used in kmidi
- Fix a typo in the GUS drumset #0

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Autodetect whether the aRts, esd or dsp backend should
  be used

* Thu Dec  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add aRts (KDE 2.x) backend (Patches #1 and #2)

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10.3a2
- Move the config file to the FHSly correct place, /etc/timidity.cfg
- Enable ogg/vorbis support, now that we're shipping it

* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move instrument files to /usr/share/timidity, where it's actually looking
  for them (Bug #13932)
- 2.9.5 (bugfix release)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 28 2000 Than Ngo <than@redhat.de>
- FHS fixes
- clean up specfile
- use RPM macros

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.4

* Wed Jan 19 2000 Tim Powoers <timp@redhat.com>
- bzipped source to conserve space

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- add a changelog
- strip binaries
